package org.gidea.scada.monitor.rabbit.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class MonitorMessage<T> {
    /**
     * 采集端ID
     */
    private String bscode;
    /**
     * 下发命令号
     */
    private int cmd;
    /**
     * 是否响应 （-1：响应失败，0：下发，1：响应）
     */
    private int code;
    /**
     * 数据
     */
    private Object data;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
