package org.gidea.scada.monitor.udp.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class CjdMessage {
    private int code;
    private int cmd;
    private String ip;
    private String bscode;
    private Object data;

    public CjdMessage(CjdMessage message) {
        if (message == null) {
            return;
        }
        this.code = message.code;
        this.cmd = message.cmd;
        this.ip = message.ip;
        this.bscode = message.bscode;
        this.data = new JSONObject();
    }
}
